#include <bits/stdc++.h>

using namespace std;
int main() {

   ios_base::sync_with_stdio(false);
   cin.tie(NULL);
   cout.tie(NULL);
   int n,k,x;
   cin>>n>>k>>x;
   int c;
   vector<int>p(n);
   for(int i=0;i<n;i++){
    cin>>p[i];
   }
   for(int e=0;e<n-k+1;e++){
       c=1;
       int zbir=0;
       for(int t=e;t<e+k;t++){
            zbir+=p[t]*c;
            if(c<x)c++;

       }
       cout<<zbir<<endl;
   }
    return 0;
}